(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/basic", "./options.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadStarsPreset = void 0;
    const basic_1 = require("@tsparticles/basic");
    const options_js_1 = require("./options.js");
    async function loadStarsPreset(engine, refresh = true) {
        await (0, basic_1.loadBasic)(engine, false);
        await engine.addPreset("stars", options_js_1.options, false);
        await engine.refresh(refresh);
    }
    exports.loadStarsPreset = loadStarsPreset;
});
